/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2008 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.tools.webadmin.datacollector.client.exception;

import org.ow2.petals.tools.webadmin.datacollector.exception.DataCollectorException;

/**
 * This exception is thrown if no JMX component associated to the Admin service
 * is found.
 * 
 * @author mcarpentier - EBM WebSourcing
 * 
 */
public class DataCollectorClientException extends DataCollectorException {

    /**
     * 
     */
    private static final long serialVersionUID = 5824489563439313812L;

    public DataCollectorClientException(String string) {
        super(string);
    }

    public DataCollectorClientException(String string, Throwable cause) {
        super(string, cause);
    }

    public DataCollectorClientException(Throwable cause) {
        super(cause);
    }

}
